Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Eclipse Projects » Mylyn » Mylyn Generic Connector for Mylyn 3.8.2?(How to install the Mylyn Generic Connector for Eclipse Juno and Mylyn 3.8.2)
icon5.gif  Mylyn Generic Connector for Mylyn 3.8.2? [message #973752] Tue, 06 November 2012 15:40 Go to next message
Johann Petrak is currently offline Johann Petrak
Messages: 1
Registered: July 2009
Junior Member
I am confused as to how to get the generic connector installed for my Mylyn.
I need to somehow access the issue trackers of SourceForge and Google Code and I found on the internet that the generic connector may be able to do this. Unfortunately this connector is not part of the Mylyn that comes with Eclipse (why?).
However, the links on these pages either point to pages that no longer exist or to update sites for versions that are not compatible with what I already have isntalled.
For example I found a link to this update site:
http://download.eclipse.org/mylyn/incubator/3.8
but an attempt to install from there ended with a conflict (since there are Mylyn components with version 3.8.2 installed which seem to be incompatible with the 3.8.0 versions offered from that update site).

What am I doing wrong? I am just getting started with Mylyn so I might well not grasp the obvious - please excuse if that is the case.

Re: Mylyn Generic Connector for Mylyn 3.8.2? [message #997039 is a reply to message #973752] Thu, 03 January 2013 13:16 Go to previous message
maarten meijer is currently offline maarten meijer
Messages: 145
Registered: July 2009
Senior Member
The generic container is very complicated and not really well
maintained. When you need to connect to Google code, consider installing
the Googlecode connector:
http://code.google.com/p/googlecode-mylyn-connector/

It tries very hard, but some functionality available as web user is not
available in the connector as somehow Google has not developed the API
in line with the web interface, so the web interface is more capable.
Most notable area: handling of attachments.

Maarten


Op 06-11-12 16:54, Johann Petrak schreef:
> I am confused as to how to get the generic connector installed for my
> Mylyn.
> I need to somehow access the issue trackers of SourceForge and Google
> Code and I found on the internet that the generic connector may be able
> to do this. Unfortunately this connector is not part of the Mylyn that
> comes with Eclipse (why?).
> However, the links on these pages either point to pages that no longer
> exist or to update sites for versions that are not compatible with what
> I already have isntalled.
> For example I found a link to this update site:
> http://download.eclipse.org/mylyn/incubator/3.8
> but an attempt to install from there ended with a conflict (since there
> are Mylyn components with version 3.8.2 installed which seem to be
> incompatible with the 3.8.0 versions offered from that update site).
>
> What am I doing wrong? I am just getting started with Mylyn so I might
> well not grasp the obvious - please excuse if that is the case.
>
>
Previous Topic:MyLyn Install Software URL fails
Next Topic:How to get a repository for Mylyn???
Goto Forum:
  


Current Time: Tue Sep 23 18:27:26 GMT 2014

Powered by FUDForum. Page generated in 0.01548 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software